Package org.eclipse.draw2d

# Class EventDispatcher.AccessibilityDispatcher

java.lang.Object
org.eclipse.draw2d.EventDispatcher.AccessibilityDispatcher

All Implemented Interfaces:
  `EventListener`, `AccessibleControlListener`, `AccessibleListener`

Direct Known Subclasses:
  `SWTEventDispatcher.FigureAccessibilityDispatcher`

Enclosing class:
  `EventDispatcher`

public abstract static class EventDispatcher.AccessibilityDispatcher extends Object implements AccessibleControlListener, AccessibleListener
Combines `AccessibleControlListener` and `AccessibleListener` . Implements `AccessibleControlListener.getChild(AccessibleControlEvent)` to do nothing.

## Constructor Summary

Constructors
Constructor
Description
`AccessibilityDispatcher()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getChild(AccessibleControlEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.accessibility.AccessibleControlListener

`getChildAtPoint, getChildCount, getChildren, getDefaultAction, getFocus, getLocation, getRole, getSelection, getState, getValue`

### Methods inherited from interface org.eclipse.swt.accessibility.AccessibleListener

`getDescription, getHelp, getKeyboardShortcut, getName`

## Constructor Details

### AccessibilityDispatcher

public AccessibilityDispatcher()

## Method Details

### getChild

public void getChild(AccessibleControlEvent e)

Specified by:
  `getChild` in interface `AccessibleControlListener`
See Also:
  - `AccessibleControlListener.getChild(AccessibleControlEvent)`